Upload of Fundación Joaquín Díaz files
Closed, ResolvedPublic

Description

Please mass upload to commons the files from Fundación Joaquín Díaz, freed through WM-ES.
User to perform the upload: [[User:Fundación Joaquín Díaz]]

Images and descriptions: http://archivos.wikimedia.org.es/wikimedia/es/iniciativas/fotos-fjd.zip

Note: the descriptions are in ISO-8859-1, not utf-8


Version: wmf-deployment
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz57052.
Platonides created this task.Via LegacyNov 14 2013, 12:35 PM
Reedy added a comment.Via ConduitNov 16 2013, 12:07 AM

(In reply to comment #0)

Note: the descriptions are in ISO-8859-1, not utf-8

Nothing like making life difficult when importImages.php doesn't offer differing encoding support

Having them in the same folder is preferred (though easily fixed), as is having the wikitext files to be the extension replaced with txt. Though, using "jpg.txt" is easily enough done too.

Found: 2764
Added: 2764

We now have numerous files with screwed up encoding in the descriptions...

Platonides added a comment.Via ConduitNov 27 2013, 9:25 PM

Nothing like making life difficult when importImages.php doesn't offer
differing encoding support

I considered the addition of utf8_encode() to the script previous to running it to be trivial :(

  • a/maintenance/importImages.php

+++ b/maintenance/importImages.php
@@ -214,3 +214,3 @@

} else {
  • $commentText = file_get_contents( $f );

+ $commentText = utf8_encode( file_get_contents( $f ) );

if ( !$commentText ) {

I converted the filenames to utf-8, though.

Having them in the same folder is preferred (though easily fixed), as is
having the wikitext files to be the extension replaced with txt. Though, using
"jpg.txt" is easily enough done too.

Sorry. Although "jpg.txt" format is also supported
https://git.wikimedia.org/blob/mediawiki%2Fcore/b8a720c5e6322de4311024d0769be9996b699edb/maintenance%2FimportImages.inc#L77

We now have numerous files with screwed up encoding in the descriptions...

Descriptions have been fixed. Closing bug.

Thanks for your work

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.